=== debian/changelog ===
xchpst (0.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #1092288)

 -- Andrew Bower <andrew@bower.uk>  Fri, 10 Jan 2025 23:48:59 +0000
