=== debian/control ===
Source: xchpst
Section: admin
Priority: optional
Maintainer: Andrew Bower <andrew@bower.uk>
Build-Depends: debhelper-compat (= 13), libcap-dev
Standards-Version: 4.7.0
Homepage: https://gitlab.com/abower/xchpst
Vcs-Browser: https://salsa.debian.org/debian/xchpst
Vcs-Git: https://salsa.debian.org/debian/xchpst.git
Rules-Requires-Root: no

Package: xchpst
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: runit
Description: eXtended CHange Process STate
 xchpst is an extended rewrite of runit's chpst that adds control of Linux
 namespaces and capabilities. This tool can be used to launch system services
 from runscripts with hardening options including isolated and transient
 parts of the filesystem hierarchy and a read-only system.
