=== debian/tests/control ===
Tests: ro-sys
Restrictions: isolation-machine

Tests: private-tmp
Depends: @, bash
Restrictions: isolation-machine

Tests: pid-ns
Restrictions: isolation-machine, needs-root
