=== debian/changelog ===
xchpst (0.3.0-1) unstable; urgency=medium

  * New upstream version
  * Switch from dpkg-divert to alternatives
  * d/control: xchpst requires Linux
  * d/rules: pass full debian version through to build
  * d/test: add 5 more autopkgtests

 -- Andrew Bower <andrew@bower.uk>  Wed, 29 Jan 2025 22:16:28 +0000
