=== debian/changelog ===
xchpst (0.4.1-1) unstable; urgency=medium

  [ Andrew Bower ]
  * New upstream version
  * eliminate race hazard in lock test

 -- Andrew Bower <andrew@bower.uk>  Sun, 16 Feb 2025 20:14:08 +0100
