=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,12 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export prefix=/usr
-export VERSION=$(DEB_VERSION_UPSTREAM)
+export VERSION=$(DEB_VERSION)
 
 %:
 	dh $@
+
+override_dh_auto_install:
+	dh_auto_install
+	mv debian/xchpst/usr/bin/xchpst debian/xchpst/usr/bin/xchpst.real
+	mv debian/xchpst/usr/share/man/man8/xchpst.8 debian/xchpst/usr/share/man/man8/xchpst.real.8
