## xchpst 0.5.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-License-Identifier: MIT
 # SPDX-FileCopyrightText: (c) Copyright 2024,2025 Andrew Bower <andrew@bower.uk>
 
-VERSION ?= 0.4.0
+VERSION ?= 0.5.0
 name := xchpst
 
 prefix ?= /usr/local
