=== debian/changelog ===
xchpst (0.5.0-1) unstable; urgency=medium

  [ Andrew Bower ]
  * New upstream release
    - add ability to specify options via a file
    - add new hardening options
    - declare stable option interface
  * d/control: update S-V to 4.7.2, no changes needed

 -- Andrew Bower <andrew@bower.uk>  Sat, 15 Mar 2025 19:41:42 +0000
