## xchpst 0.6.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-License-Identifier: MIT
 # SPDX-FileCopyrightText: (c) Copyright 2024,2025 Andrew Bower <andrew@bower.uk>
 
-VERSION ?= 0.5.0
+VERSION ?= 0.6.1
 name := xchpst
 
 prefix ?= /usr/local
@@ -9,7 +9,6 @@
 CFLAGS ?= -g -O2
 CFLAGS += -MMD -MP \
 	  -Wall -Wextra -Werror \
-	  -Wno-missing-field-initializers \
 	  -std=c2x \
 	  -D_GNU_SOURCE \
 	  -DPROG_NAME=$(name) \
@@ -43,4 +42,3 @@
 	$(INSTALL) -m 755 -D -t $(DESTDIR)$(prefix)/bin               $(name)
 #	$(INSTALL) -m 755 -D -t $(DESTDIR)$(prefix)/bin               $(ALT_EXES)
 	$(INSTALL) -m 644 -D -t $(DESTDIR)$(prefix)/share/man/man8    $(name).8
-	$(INSTALL) -m 644 -D -t $(DESTDIR)$(prefix)/share/doc/$(name) extra/xchpst-funcs.sh
