=== debian/changelog ===
xchpst (0.6.1-1) unstable; urgency=medium

  [ Andrew Bower ]
  * New upstream release
    - extended man page, with systemd unit porting guidance
    - additional options
    - unused compat script removed
  * maintscripts: remove redundant update-alternatives approach

 -- Andrew Bower <andrew@bower.uk>  Fri, 21 Mar 2025 21:47:41 +0000
