=== debian/changelog ===
xchpst (0.6.2-1) unstable; urgency=medium

  * New upstream release
    - tweak to fix manpages.d.o table rendering
    - drop user later in sequence except with user namespaces

 -- Andrew Bower <andrew@bower.uk>  Sat, 12 Apr 2025 11:12:09 +0100
