=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Andrew Bower <andrew@bower.uk>
 Build-Depends: debhelper-compat (= 13), libcap-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/abower/xchpst
 Vcs-Browser: https://salsa.debian.org/debian/xchpst
 Vcs-Git: https://salsa.debian.org/debian/xchpst.git
