=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4
opts="mode=git,pgpmode=gittag" \
 https://gitlab.com/abower/xchpst.git/ refs/tags/v([\d\.]+)
