## xchpst 0.7.0

=== Makefile ===
# SPDX-License-Identifier: MIT
# SPDX-FileCopyrightText: (c) Copyright 2024,2025 Andrew Bower <andrew@bower.uk>

# Tunables

VERSION ?= 0.7.0
prefix ?= /usr/local
CFLAGS ?= -g -O2
# For zero dependencies, but no capabilities control, invoke with NO_CAP=1

# The rest

name := xchpst
CFLAGS += -MMD -MP \
	  -Wall -Wextra -Werror \
	  -std=c2x \
	  -D_GNU_SOURCE \
	  -DPROG_NAME=$(name) \
	  -DPROG_VERSION=$(VERSION) \
	  -DINST_PREFIX=$(prefix)
ifndef NO_CAP
LDLIBS = -lcap
else
CFLAGS += -DNO_CAP
endif
INSTALL = install
LN = ln -sf
DEP = $(wildcard *.d)

OBJS = xchpst.o options.o usrgrp.o env.o join.o rootfs.o mount.o \
  precreate.o
ifndef NO_CAP
OBJS += caps.o
endif

bindir = $(DESTDIR)$(prefix)/bin

ALT_EXES = chpst softlimit envdir pgrphack setuidgid envuidgid setlock \
  applyuidgid \
  setuidgid-fromenv

.PHONY: all clean install

all: $(name) $(ALT_EXES)

-include $(DEP)

$(name): $(OBJS)

$(ALT_EXES) $(addprefix $(bindir)/,$(ALT_EXES)): $(name)
	$(LN) $< $@

clean:
	$(RM) $(name) $(OBJS) $(DEP) $(ALT_EXES) chpst.o

install:
	$(INSTALL) -m 755 -D -t $(bindir)                          $(name)
	$(INSTALL) -m 644 -D -t $(DESTDIR)$(prefix)/share/man/man8 $(name).8

install-extra: install $(addprefix $(bindir)/,$(ALT_EXES))
