=== debian/changelog ===
xchpst (0.7.0-1) unstable; urgency=medium

  * New upstream release
    - extended and fixed daemontools family emulation support
    - extended support for supplementary groups
    - fixed --new-root implementation that tidies up old root
  * Update metadata for moved upstream Gitlab namespace
  * d/watch: convert to version 5 format
  * d/control: remove redundant Rules-Requires-Root

 -- Andrew Bower <andrew@bower.uk>  Sat, 13 Sep 2025 11:56:48 +0100
