=== debian/changelog ===
xchpst (0.7.1-1) unstable; urgency=medium

  * New upstream release
    - bugfixes, code quality improvements and documentation updates

 -- Andrew Bower <andrew@bower.uk>  Sat, 20 Sep 2025 08:03:20 +0100
