=== debian/control ===
--- 
+++ 
@@ -4,10 +4,9 @@
 Maintainer: Andrew Bower <andrew@bower.uk>
 Build-Depends: debhelper-compat (= 13), libcap-dev
 Standards-Version: 4.7.2
-Homepage: https://gitlab.com/abower/xchpst
+Homepage: https://gitlab.com/init-tools/xchpst
 Vcs-Browser: https://salsa.debian.org/debian/xchpst
 Vcs-Git: https://salsa.debian.org/debian/xchpst.git
-Rules-Requires-Root: no
 
 Package: xchpst
 Architecture: linux-any
