=== debian/changelog ===
xchpst (0.7.2-1) unstable; urgency=medium

  * New upstream release
    - fix wrap around in capabilities set for cap >= 32
    - allow empty capability lists
  * d/control: remove redundant Priority: optional field

 -- Andrew Bower <andrew@bower.uk>  Mon, 27 Oct 2025 06:47:23 +0000
