=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: xchpst
 Section: admin
-Priority: optional
 Maintainer: Andrew Bower <andrew@bower.uk>
 Build-Depends: debhelper-compat (= 13), libcap-dev
 Standards-Version: 4.7.2
