=== debian/tests/control ===
Tests: version
Restrictions: superficial

Tests: scheduler, argv0, lock
Depends: @, bash, busybox

Tests: ro-sys private-tmp
Depends: @, bash
Restrictions: isolation-machine

Tests: pid-ns
Restrictions: isolation-machine, needs-root

# Restrictions cannot guarantee an appropriate testbed for this test.
Tests: user-ns+chdir
Restrictions: isolation-machine, needs-root, flaky
