## xchpst 0.8.1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # Tunables
 
-VERSION ?= 0.7.2
+VERSION ?= 0.8.0
 prefix ?= /usr/local
 CFLAGS ?= -g -O2
 # For zero dependencies, but no capabilities control, invoke with NO_CAP=1
@@ -12,8 +12,9 @@
 
 name := xchpst
 CFLAGS += -MMD -MP \
+	  -I. \
 	  -Wall -Wextra -Werror \
-	  -std=c2x \
+	  -std=gnu2x \
 	  -D_GNU_SOURCE \
 	  -DPROG_NAME=$(name) \
 	  -DPROG_VERSION=$(VERSION) \
@@ -28,6 +29,7 @@
 DEP = $(wildcard *.d)
 
 OBJS = xchpst.o options.o usrgrp.o env.o join.o rootfs.o mount.o \
+  dirs.o \
   precreate.o
 ifndef NO_CAP
 OBJS += caps.o
@@ -36,6 +38,7 @@
 bindir = $(DESTDIR)$(prefix)/bin
 
 ALT_EXES = chpst softlimit envdir pgrphack setuidgid envuidgid setlock \
+  fghack \
   applyuidgid \
   setuidgid-fromenv
 
@@ -46,6 +49,9 @@
 -include $(DEP)
 
 $(name): $(OBJS)
+
+# Unit tests directory
+test/children: test/children.o $(filter-out xchpst.o,$(OBJS))
 
 $(ALT_EXES) $(addprefix $(bindir)/,$(ALT_EXES)): $(name)
 	$(LN) $< $@
