=== debian/changelog ===
xchpst (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Convert to dgit-maint-merge(7) workflow.
  * d/README.Debian: remove as added no value.
  * d/control: update S-V to 4.7.3, no changes needed

 -- Andrew Bower <andrew@bower.uk>  Fri, 13 Feb 2026 17:32:24 +0000
