=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Maintainer: Andrew Bower <andrew@bower.uk>
 Build-Depends: debhelper-compat (= 13), libcap-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gitlab.com/init-tools/xchpst
 Vcs-Browser: https://salsa.debian.org/debian/xchpst
 Vcs-Git: https://salsa.debian.org/debian/xchpst.git
