## xchpst 0.8.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # Tunables
 
-VERSION ?= 0.8.0
+VERSION ?= 0.8.2
 prefix ?= /usr/local
 CFLAGS ?= -g -O2
 # For zero dependencies, but no capabilities control, invoke with NO_CAP=1
