=== debian/changelog ===
xchpst (0.8.2-1) unstable; urgency=medium

  * New upstream release.
    - fix FTBFS with glibc 2.43 (Closes: #1128760)

 -- Andrew Bower <andrew@bower.uk>  Sun, 22 Feb 2026 19:22:54 +0000
